<div class="table-wrapper">
    <mat-table [dataSource]="dataSource">

        <ng-container matColumnDef="data">
            <mat-header-cell *matHeaderCellDef>Data</mat-header-cell>
            <mat-cell *matCellDef="let log">{{log.createdAt | moment:null:'DD/MM/YYYY HH:mm:ss'}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="user">
            <mat-header-cell *matHeaderCellDef>User</mat-header-cell>
            <mat-cell *matCellDef="let log">{{log.user.name || log.user.email}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="target">
            <mat-header-cell *matHeaderCellDef>Target</mat-header-cell>
            <mat-cell *matCellDef="let log">{{log.object}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="action">
            <mat-header-cell *matHeaderCellDef>Azione</mat-header-cell>
            <mat-cell *matCellDef="let log">{{log.action}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="expandedDetail">
            <mat-cell *matCellDef="let log">
                <pre>{{log | json}}</pre>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="columns"></mat-header-row>
        <mat-row *matRowDef="let log; columns: ['data', 'user', 'target', 'action']; when: !isExpansionDetailRow"
                 matRipple
                 class="element-row"
                 [class.expanded]="expandedElement == log.id"
                 (click)="expandRow(log)"></mat-row>
        <mat-row *matRowDef="let log; columns: ['expandedDetail']; when: isExpansionDetailRow"
                 [@detailExpanded]="log.log.id == expandedElement ? 'expanded' : 'collapsed'"
                 style="overflow: hidden;" class="detail-row"></mat-row>
    </mat-table>
</div>
